---
title: FAQ
permalink: /docs/zh/faq.html
key: docs-faq
---

### 播放器封面图片
很多同学问到能不能设置播放器封面，这里给两方面回答。

1、`FijkPlayer` 没有接口能够在不播放视频的情况下获取其中某一帧画面内容。视频的第一帧可能是纯黑的、纯白的、或者其他不适合用来做封面的画面。
建议在后台提前准备好封面图片，并把图片 url 下发的 app 端。

2、有了图片的 url 或者其他图片内容，可以进行封面设置，具体参考 ”个性化 UI “ 中的内容。 说简单点就是给 `FijkView` 所在区域上方增加一个 Image 组件

### 设置 http 请求头

```dart
FijkPlayer player = FijkPlayer();
await player.setOption(FijkOption.formatCategory, "headers", "referer:https://blog.befovy.com\r\nhost:https://github.com");
await player.setDataSource(widget.url, autoPlay: true);
```

设置给 `formatCategory` 的 `herders` 最终会加到 http 请求的头部，这个调用 setOption 的第三个参数是 String 类型，格式为 `key1:value1\r\nkey2:valee2`，多个 key value 对之间用 `\r\n` 隔开，key 和 value 之间用 `:` 隔开。


### 什么时候该 await

如果你不理解该什么时候对 `FijkPlayer` 的接口调用使用 `await`。  
那就遵守这条简单规则：**对所有 `FijkPlayer` 中返回 Future 类型的方法都使用 `await`**


### pod FIJKPlayer 版本问题

出错内容，*** but they required a higher mininum deployment target

解决办法：在 ios 目录运行 `pod update FIJKPlayer --verbose`


### pod 文件找不到

No such file or directory fijkplayer.podspec.json

解决办法是 pod 降版本，具体看[这里的回答](https://github.com/befovy/fijkplayer/issues/63#issuecomment-548752799)

[点我查看所有的 CocoaPods 相关问题](https://github.com/befovy/fijkplayer/issues?utf8=%E2%9C%93&q=label%3ACocoaPods+)

### Android Release 崩溃

Android Release 版本崩溃，但是 Debug 版本没问题。  
一般都是 Java 代码被混淆了的原因。需要配置文件不要混淆 ijkplayer 中的 java 代码。
相关内容看 [#80](https://github.com/befovy/fijkplayer/issues/80), 和 [#98](https://github.com/befovy/fijkplayer/issues/98)

在 proguard 文件加入下面内容。
```
-keep class tv.danmaku.ijk.media.player.** {
    *;
}
```

### 退出全屏后，UI错乱

这其实不是 fijkplayer 的问题，是 App 的 UI 代码逻辑有缺陷。

看 [#115](https://github.com/befovy/fijkplayer/issues/115) 和 [#59](https://github.com/befovy/fijkplayer/issues/59)
